<?php

	//-------------------------------------------------------------------------
	include("../M0/session_start.php") ;

	if ( $_SESSION['level'] < 90 ) {
		header('Location: ' . $root_dir . '/M1/index_2.php');
		exit();
	}

	$_SESSION['2FA_code_erreur'] = 20 ;

	//-------------------------------------------------------------------------
	// si le message de session $_SESSION['code_2FA_msg'] est vide
	// un envoi de code par SMS est demandé
	//-------------------------------------------------------------------------
	if ( $_SESSION['code_2FA_msg'] == "" ) {

		if (version_compare(PHP_VERSION, '7.4.0') >= 0) {
			include("./send_sms_code_avec_OVH.php") ;
		}
		else {
			include("./send_sms_code_sans_OVH.php") ;
		}


	}

	//-------------------------------------------------------------------------
	/*
	echo('<font color="#000033">');
	echo( $_SESSION['code_2FA'] . "<br>" ) ;
	echo('</font>');
	*/
	
?>

<?php
	include("../M0/communs_en_tete_HTML.html") ;
?>
    
<font size="1" face="Arial, Helvetica, sans-serif">&nbsp;</font>

<table align="center" width="<?php echo $tables_width ; ?>"  border="2" cellspacing="2" cellpadding="2" bordercolor="#ffffff" bgcolor="#000033">	
	
	<?php
		include('../M0/titre_jaune.php');
		$sous_menu_titre = "-&nbsp;&nbsp;sondes AQCM05&nbsp;&nbsp;-";
		affiche_titre_simple($sous_menu_titre, "red");
	?>
	
</table>

<font size="1" face="Arial, Helvetica, sans-serif">&nbsp;</font>


<?php
	include('../M0/display_user.php'); 
?>

<font size="1" face="Arial, Helvetica, sans-serif">&nbsp;</font>

<table align="center" width="<?php echo $tables_width ; ?>"  border="2" cellspacing="2" cellpadding="2" bordercolor="#ffffff" bgcolor="#000033">	

	<tr align="center">
		<td>
		
			<table width="99%">
			
				<tr align="center">
					<td align="center" colspan="2">
					
						<font size="4" color="white" face="Arial, Helvetica, sans-serif">
								gestion des sites AQCM05
						</font>	
						
					</td>
				</tr>
				

			</table>
			
		</td>
	</tr>
			
	<tr align="center">
		<td>
		
			<font size="1" face="Arial, Helvetica, sans-serif">&nbsp;</font>
			
			<form name="form2" method="post" action="./get_admin_2fa_code_verify.php">
			
				<font size="4" color="Salmon" face="Arial, Helvetica, sans-serif">
				<?php 
					if ( $_SESSION['code_2FA_msg'] != "" ) {
						echo($_SESSION['code_2FA_msg']); 
						echo("<br><br>");
					}
				?>
				</font>

				<font size="3" color="Lime" face="Arial, Helvetica, sans-serif">
				double authentification pour les administrateurs : <br>
				un code de 6 chiffres a été envoyé par SMS...
				</font>
				
				<br><br>
				
				<table width="98%" align="center">
				
					<tr>
					
						<td width="250" align="right">
							<label>
								code reçu par SMS :&nbsp;&nbsp;
							</label>
						</td>
						
						<td align="left">
							<input id="SMS_CODE" name="SMS_CODE" type="text" pattern="[0-9]{6}" title="le code reçu par SMS doit être un code à 6 chiffres" 
							<?php 
								if ( $_SESSION['2FA_code_erreur'] < 20 ) {
									echo("disabled"); 
								}									
							?> 
							 title="123456" value="" maxlength="9" size="10" class="txtField" />
						</td>
						
					</tr>
					
				</table>
			
				<br>
								
				<input type="submit" value="valider" class="button_A" <?php if ( $_SESSION['2FA_code_erreur'] < 20 ) echo("disabled"); ?> />
				
			</form>

		</td>
	</tr>

</table>



<font size="1" face="Arial, Helvetica, sans-serif">&nbsp;</font>

<?php include('../M0/communs_bouton_retour_index_2.html'); ?>


    </body>
</html>

<script>
document.addEventListener("DOMContentLoaded", function() {
	document.getElementById("SMS_CODE").focus();
});
</script>
